Subject: VLAN test cases in 2.6.38.7

From: Ben Greear <[email-masked]>
Date: Tue, 24 May 2011 11:49:58 -0700

I wrote a simple bridge that uses packet sockets to read/write
from network devices.  I'll upload this code somewhere when
I get it a bit more presentable.

Machine info:

Linux lf0300-demo 2.6.38.7+ #14 SMP Mon May 23 10:31:45 PDT 2011 i686 i686 i386 GNU/Linux

Interface A: eth1
driver: igb
version: 3.0.19
firmware-version: 1.2-1
bus-info: 0000:01:00.0

Interface B: eth3:
driver: igb
version: 3.0.19
firmware-version: 1.2-1
bus-info: 0000:01:00.1

If no vlans are on eth1 and eth3, then it bridges fine, with vlan
headers inline.  But, if you add a VLAN to eth1, it stops working,
probably because pkt tag is then un-stripped.  I was generating on
vlan 7, and created vlan 9, btw.

I'll see if I can figure out how to use aux-data next...

Thanks,
Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com